[Date Prev][Date Next] [Thread Prev][Thread Next] [Date Index] [Thread Index]

Re: ndiswraaper install error


L.V.Gandhi (<lvgandhi@gmail.com>) wrote:

> I have dell inspiron 600m. today I have loaded base sarge and upgraded
> to unstable.
> I have installed linux-source and ndiswrapper-source. I tried to get
> modules using info on wiki

You don't need (and shouldn't use) the linux-source package. It does not
have what you need to build modules for the running kernel. To use the
source, you must configure it using the config file from your kernel,
and change the Makefile to macht your kernel version. You need the
linux-headers-`uname -r` package instead, it was made for compiling
modules. Luckily you already installed it.

> lrwxrwxrwx  1 root src        19 2006-02-04 12:32 linux ->
> linux-source-2.6.15

Remove this symlink, and remove /usr/src/linux-source-2.6.15 as well.
Then run module-assistant prepare and m-a auto-install ndiswrapper.

best regards
        Andreas Janssen

Andreas Janssen <andreas.janssen@bigfoot.com>
PGP-Key-ID: 0xDC801674 ICQ #17079270
Registered Linux User #267976

Reply to: